#ifndef SERVICES_ASSISTANT_SESSION_BASE_H
#define SERVICES_ASSISTANT_SESSION_BASE_H

#include <kylin-ai/ai-engine/imagegenerationengine.h>
#include <kylin-ai/ai-engine/imageprocessengine.h>
#include <kylin-ai/ai-engine/textgenerationengine.h>

namespace assistant {
using TextGenerationEngine =
    ai_engine::gen_ai::nlp::AbstractTextGenerationEngine;
using ImageGenerationEngine =
    ai_engine::gen_ai::vision::AbstractImageGenerationEngine;
using ImageProcessEngine =
    ai_engine::core_ai::vision::AbstractImageProcessEngine;
}  // namespace assistant

#endif  // SERVICES_ASSISTANT_SESSION_BASE_H
